<solidify-empty-container (onEscape)=" isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [currentModel]="currentObs | async"
                                  [deleteAvailable]="deleteAvailable"
                                  [editAvailable]="editAvailable"
                                  [formPresentational]="formPresentational"
                                  [historyAvailable]="true"
                                  [listExtraButtons]="listExtraButtons"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (editChange)="edit()"
                                  (showHistoryChange)="showHistory()"

  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-shared-notification-form #formPresentational
                                   *ngIf="isReadyToBeDisplayedObs | async"
                                   [editAvailable]="editAvailable"
                                   [listRole]="listRoleObs | async"
                                   [model]="currentObs | async"
                                   [readonly]="!isEdit"
                                   (checkAvailableChange)="checkAvailable($event)"
                                   (dirtyChange)="updateCanDeactivate($event)"
                                   (editChange)="edit()"
                                   (navigate)="navigate($event)"
                                   (submitChange)="update($event)"
    >
    </dlcm-shared-notification-form>
  </div>
</solidify-empty-container>
